#include "PC2CarLib/CommandSender.h"
#include "NetworkingLib/ServiceClient.h"
#include "../include/Logger.h"

int main()
{
    using namespace std::chrono_literals;
    float speed = 0.0f;
    networking::Networking net;
    const std::string host{"10.5.37.195"};

    pc2car::CommandSender commandSender{net, host};
    auto commandTimer = networking::time::Timer::create(net);
    commandTimer->startPeriodicTimeout(
        1s, 
        [&]
        { 
            commandSender.setPlatoonSpeed(speed);
            speed += 1.0f; 
        });

    auto logger = pc::Logger::create(net, host);
    logger->start();

    for (;;);
    return 0;
}